MINCORE(2)

NAME
mincore - determine residency of memory pages

SYNOPSIS
#include <sys/types.h>
#include <sys/mman.h>
int
mincore(void *addr, size_t len, char *vec);

DESCRIPTION
The mincore() system call allows a process to obtain information about whether pages are core resident. Here the current core residency of the pages is returned in the character array vec, with a value of 1 meaning that the page is in-core.

SEE ALSO
madvise(2), mlock(2), mprotect(2), msync(2), munmap(2)

HISTORY
The mincore() function first appeared in 4.4BSD.